# List Customer Trades

Returns a list of trades from a customer's brokerage accounts. Includes standard trades (BUY, SELL, MATURITY) and security transfer trades.

Endpoint: GET /api/v2/customers/{customer_id}/trades/
Version: Version: 5153994b
Security: HTTPBearer

## Path parameters:

  - `customer_id` (string, required)

## Query parameters:

  - `trade_datetime_from` (any)

  - `trade_datetime_to` (any)

  - `book_date_from` (any)
    Filters the resulting trade list by book date from the provided ISO8601 date, inclusively

  - `book_date_to` (any)
    Filters the resulting trade list by book date to the provided ISO8601 date, inclusively

  - `settlement_date_from` (any)
    Filters the resulting trade list by settlement date from the provided ISO8601 date, inclusively

  - `settlement_date_to` (any)
    Filters the resulting trade list by settlement date to the provided ISO8601 date, inclusively

  - `pocket_id[]` (any)

  - `order` (string)
    Ordered by the trade creation time, descending by default.
    Enum: "desc", "asc"

  - `cursor` (string)

  - `limit` (integer)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Response 200 fields (application/json):

  - `prev_page` (any)

  - `next_page` (any)

  - `items` (array, required) — one of (discriminator: activity):
    - BUY:
      - `id` (string, required)
        Unique identifier for this trade
      - `trade_datetime` (string, required)
        The date and time at which the trade was executed
      - `book_date` (string, required)
        The date on which the trade was booked into the ledger
      - `settled_date` (any, required)
        The date on which the trade was settled, or null if not yet settled
      - `status` (string, required)
        Current status of the trade: BOOKED or SETTLED
        Enum: "BOOKED", "SETTLED"
      - `pocket_id` (string, required)
        The pocket this trade is listed under
      - `activity` (string, required)
        The type of trade activity: BUY, SELL, MATURITY, EXTERNAL_SECURITY_TRANSFER or SAME_ENTITY_SECURITY_TRANSFER
        Enum: "BUY", "SELL", "MATURITY"
      - `securities` (array, required)
        The securities involved in this trade
      - `securities.cusip` (string, required)
        CUSIP identifier of the security
      - `securities.description` (string, required)
        A description of the security (e.g. '6 Month T Bill')
      - `securities.tradable_id` (string, required)
        Internal identifier for the tradable instrument
      - `securities.maturity_date` (string, required)
        Maturity date of the fixed income instrument
      - `securities.quantity` (integer, required)
        Number of securities in this leg
      - `securities.price` (any)
        Unit price of the security at the time of the trade
      - `securities.transaction_total` (object, required)
        Total transaction value for this security leg, in USD cents
      - `securities.transaction_total.value` (integer, required)
        USD values are always in cents.
      - `securities.transaction_total.currency` (string, required)
      - `securities.transaction_total.formatted` (string)
      - `securities.original_purchase_price` (any)
        Original purchase price from the source tax lot. Only populated for security transfer trades.
      - `securities.original_settlement_date` (any)
        Original settlement date from the source tax lot. Only populated for security transfer trades.
      - `securities.original_trade_date` (any)
        Original trade date from the source tax lot. Only populated for security transfer trades.
      - `securities.object_type` (string, required)
      - `yield_to_maturity` (string, required)
        Rate of return if the security is held to the maturity date
      - `object_type` (string, required)
    - EXTERNAL_SECURITY_TRANSFER:
      - `id` (string, required)
        Unique identifier for this trade
      - `trade_datetime` (string, required)
        The date and time at which the trade was executed
      - `book_date` (string, required)
        The date on which the trade was booked into the ledger
      - `settled_date` (any, required)
        The date on which the trade was settled, or null if not yet settled
      - `status` (string, required)
        Current status of the trade: BOOKED or SETTLED
        Enum: same as `status` in "BUY" (2 values)
      - `pocket_id` (string, required)
        The pocket this trade is listed under
      - `activity` (string, required)
        The type of trade activity: BUY, SELL, MATURITY, EXTERNAL_SECURITY_TRANSFER or SAME_ENTITY_SECURITY_TRANSFER
      - `securities` (array, required)
        The securities being transferred
      - `securities.cusip` (string, required)
        CUSIP identifier of the security
      - `securities.description` (string, required)
        A description of the security (e.g. '6 Month T Bill')
      - `securities.tradable_id` (string, required)
        Internal identifier for the tradable instrument
      - `securities.maturity_date` (string, required)
        Maturity date of the fixed income instrument
      - `securities.quantity` (integer, required)
        Number of securities in this leg
      - `securities.price` (any)
        Unit price of the security at the time of the trade
      - `securities.transaction_total` (object, required)
        Total transaction value for this security leg, in USD cents
      - `securities.transaction_total.value` (integer, required)
        USD values are always in cents.
      - `securities.transaction_total.currency` (string, required)
      - `securities.transaction_total.formatted` (string)
      - `securities.original_purchase_price` (any)
        Original purchase price from the source tax lot. Only populated for security transfer trades.
      - `securities.original_settlement_date` (any)
        Original settlement date from the source tax lot. Only populated for security transfer trades.
      - `securities.original_trade_date` (any)
        Original trade date from the source tax lot. Only populated for security transfer trades.
      - `securities.object_type` (string, required)
      - `object_type` (string, required)
    - MATURITY:
      - `id` (string, required)
        Unique identifier for this trade
      - `trade_datetime` (string, required)
        The date and time at which the trade was executed
      - `book_date` (string, required)
        The date on which the trade was booked into the ledger
      - `settled_date` (any, required)
        The date on which the trade was settled, or null if not yet settled
      - `status` (string, required)
        Current status of the trade: BOOKED or SETTLED
        Enum: same as `status` in "BUY" (2 values)
      - `pocket_id` (string, required)
        The pocket this trade is listed under
      - `activity` (string, required)
        The type of trade activity: BUY, SELL, MATURITY, EXTERNAL_SECURITY_TRANSFER or SAME_ENTITY_SECURITY_TRANSFER
        Enum: same as `activity` in "BUY" (3 values)
      - `securities` (array, required)
        The securities involved in this trade
      - `securities.cusip` (string, required)
        CUSIP identifier of the security
      - `securities.description` (string, required)
        A description of the security (e.g. '6 Month T Bill')
      - `securities.tradable_id` (string, required)
        Internal identifier for the tradable instrument
      - `securities.maturity_date` (string, required)
        Maturity date of the fixed income instrument
      - `securities.quantity` (integer, required)
        Number of securities in this leg
      - `securities.price` (any)
        Unit price of the security at the time of the trade
      - `securities.transaction_total` (object, required)
        Total transaction value for this security leg, in USD cents
      - `securities.transaction_total.value` (integer, required)
        USD values are always in cents.
      - `securities.transaction_total.currency` (string, required)
      - `securities.transaction_total.formatted` (string)
      - `securities.original_purchase_price` (any)
        Original purchase price from the source tax lot. Only populated for security transfer trades.
      - `securities.original_settlement_date` (any)
        Original settlement date from the source tax lot. Only populated for security transfer trades.
      - `securities.original_trade_date` (any)
        Original trade date from the source tax lot. Only populated for security transfer trades.
      - `securities.object_type` (string, required)
      - `yield_to_maturity` (string, required)
        Rate of return if the security is held to the maturity date
      - `object_type` (string, required)
    - SAME_ENTITY_SECURITY_TRANSFER:
      - `id` (string, required)
        Unique identifier for this trade
      - `trade_datetime` (string, required)
        The date and time at which the trade was executed
      - `book_date` (string, required)
        The date on which the trade was booked into the ledger
      - `settled_date` (any, required)
        The date on which the trade was settled, or null if not yet settled
      - `status` (string, required)
        Current status of the trade: BOOKED or SETTLED
        Enum: same as `status` in "BUY" (2 values)
      - `activity` (string, required)
        The type of trade activity: BUY, SELL, MATURITY, EXTERNAL_SECURITY_TRANSFER or SAME_ENTITY_SECURITY_TRANSFER
      - `origin_pocket_id` (string, required)
        The pocket from which securities are being transferred
      - `destination_pocket_id` (string, required)
        The pocket to which securities are being transferred
      - `securities` (array, required)
        The securities being transferred
      - `securities.cusip` (string, required)
        CUSIP identifier of the security
      - `securities.description` (string, required)
        A description of the security (e.g. '6 Month T Bill')
      - `securities.tradable_id` (string, required)
        Internal identifier for the tradable instrument
      - `securities.maturity_date` (string, required)
        Maturity date of the fixed income instrument
      - `securities.quantity` (integer, required)
        Number of securities in this leg
      - `securities.price` (any)
        Unit price of the security at the time of the trade
      - `securities.transaction_total` (object, required)
        Total transaction value for this security leg, in USD cents
      - `securities.transaction_total.value` (integer, required)
        USD values are always in cents.
      - `securities.transaction_total.currency` (string, required)
      - `securities.transaction_total.formatted` (string)
      - `securities.original_purchase_price` (any)
        Original purchase price from the source tax lot. Only populated for security transfer trades.
      - `securities.original_settlement_date` (any)
        Original settlement date from the source tax lot. Only populated for security transfer trades.
      - `securities.original_trade_date` (any)
        Original trade date from the source tax lot. Only populated for security transfer trades.
      - `securities.object_type` (string, required)
      - `currency_legs` (array, required)
        Currency movements associated with this transfer
      - `currency_legs.currency` (string, required)
        Currency code (e.g. 'USD')
      - `currency_legs.description` (string, required)
        A description of the currency leg
      - `currency_legs.tradable_id` (string, required)
        Internal identifier for the currency instrument
      - `currency_legs.quantity` (integer, required)
        Number of currency units in this leg
      - `currency_legs.transaction_total` (object, required)
        Total transaction value for this currency leg, in USD cents
      - `currency_legs.object_type` (string, required)
      - `object_type` (string, required)
    - SELL:
      - `id` (string, required)
        Unique identifier for this trade
      - `trade_datetime` (string, required)
        The date and time at which the trade was executed
      - `book_date` (string, required)
        The date on which the trade was booked into the ledger
      - `settled_date` (any, required)
        The date on which the trade was settled, or null if not yet settled
      - `status` (string, required)
        Current status of the trade: BOOKED or SETTLED
        Enum: same as `status` in "BUY" (2 values)
      - `pocket_id` (string, required)
        The pocket this trade is listed under
      - `activity` (string, required)
        The type of trade activity: BUY, SELL, MATURITY, EXTERNAL_SECURITY_TRANSFER or SAME_ENTITY_SECURITY_TRANSFER
        Enum: same as `activity` in "BUY" (3 values)
      - `securities` (array, required)
        The securities involved in this trade
      - `securities.cusip` (string, required)
        CUSIP identifier of the security
      - `securities.description` (string, required)
        A description of the security (e.g. '6 Month T Bill')
      - `securities.tradable_id` (string, required)
        Internal identifier for the tradable instrument
      - `securities.maturity_date` (string, required)
        Maturity date of the fixed income instrument
      - `securities.quantity` (integer, required)
        Number of securities in this leg
      - `securities.price` (any)
        Unit price of the security at the time of the trade
      - `securities.transaction_total` (object, required)
        Total transaction value for this security leg, in USD cents
      - `securities.transaction_total.value` (integer, required)
        USD values are always in cents.
      - `securities.transaction_total.currency` (string, required)
      - `securities.transaction_total.formatted` (string)
      - `securities.original_purchase_price` (any)
        Original purchase price from the source tax lot. Only populated for security transfer trades.
      - `securities.original_settlement_date` (any)
        Original settlement date from the source tax lot. Only populated for security transfer trades.
      - `securities.original_trade_date` (any)
        Original trade date from the source tax lot. Only populated for security transfer trades.
      - `securities.object_type` (string, required)
      - `yield_to_maturity` (string, required)
        Rate of return if the security is held to the maturity date
      - `object_type` (string, required)

  - `object_type` (string)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


